Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_WFMO_Reactor_Handler_Repository::Common_Info Class Reference

This struct contains the necessary information for every <Event_Handler> entry. The reason the event is not in this structure is because we need to pass an event array into WaitForMultipleObjects and therefore keeping the events seperate makes sense. More...

`#include <WFMO_Reactor.h>`

Inheritance diagram for ACE_WFMO_Reactor_Handler_Repository::Common_Info

[legend]
Collaboration diagram for ACE_WFMO_Reactor_Handler_Repository::Common_Info:

[legend]
List of all members.

## Public Methods
| Common_Info (void)
| Constructor used for initializing the structure.
void | reset (void)
| Reset the state of the structure.
void | set (int io_entry, ACE_Event_Handler *event_handler, ACE_HANDLE io_handle, long network_events, int delete_event, int delete_entry, ACE_Reactor_Mask close_masks)
| Set the structure to these new values.
void | set (Common_Info &common_info)
| Set the structure to these new values.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
int | io_entry_
| This indicates whether this entry is for I/O or for a regular event.
ACE_Event_Handler* | event_handler_
| The assosiated <Event_Handler>.
ACE_HANDLE | io_handle_
| The I/O handle related to the <Event_Handler>. This entry is only valid if the <io_entry_> flag is true.
long | network_events_
int | delete_event_
int | delete_entry_
| This is set when the entry needed to be deleted.
ACE_Reactor_Mask | close_masks_

## Detailed Description

This struct contains the necessary information for every <Event_Handler> entry. The reason the event is not in this structure is because we need to pass an event array into WaitForMultipleObjects and therefore keeping the events seperate makes sense.

## Constructor & Destructor Documentation

ACE_INLINE ACE_WFMO_Reactor_Handler_Repository::Common_Info::Common_Info ( | void )

| Constructor used for initializing the structure.

## Member Function Documentation

ACE_INLINE void ACE_WFMO_Reactor_Handler_Repository::Common_Info::dump ( | void ) const

| Dump the state of an object. Reimplemented in ACE_WFMO_Reactor_Handler_Repository::To_Be_Added_Info, and ACE_WFMO_Reactor_Handler_Repository::Suspended_Info.

ACE_INLINE void ACE_WFMO_Reactor_Handler_Repository::Common_Info::reset ( | void )

| Reset the state of the structure. Reimplemented in ACE_WFMO_Reactor_Handler_Repository::Current_Info, ACE_WFMO_Reactor_Handler_Repository::To_Be_Added_Info, and ACE_WFMO_Reactor_Handler_Repository::Suspended_Info.

ACE_INLINE void ACE_WFMO_Reactor_Handler_Repository::Common_Info::set ( | Common_Info & common_info )

| Set the structure to these new values.

ACE_INLINE void ACE_WFMO_Reactor_Handler_Repository::Common_Info::set ( | int io_entry,
| ACE_Event_Handler * event_handler,
| ACE_HANDLE io_handle,
| long network_events,
| int delete_event,
| int delete_entry,
| ACE_Reactor_Mask close_masks )

| Set the structure to these new values.

## Member Data Documentation

ACE_Reactor_Mask ACE_WFMO_Reactor_Handler_Repository::Common_Info::close_masks_

| These are the masks related to <handle_close> for the <Event_Handler>. This is only valid when <delete_entry_> is set.

int ACE_WFMO_Reactor_Handler_Repository::Common_Info::delete_entry_

| This is set when the entry needed to be deleted.

int ACE_WFMO_Reactor_Handler_Repository::Common_Info::delete_event_

| This flag indicates that <WFMO_Reactor> created the event on behalf of the user. Therefore we need to clean this up when the <Event_Handler> removes itself from <WFMO_Reactor>. This entry is only valid if the <io_entry_> flag is true.

ACE_Event_Handler * ACE_WFMO_Reactor_Handler_Repository::Common_Info::event_handler_

| The assosiated <Event_Handler>.

int ACE_WFMO_Reactor_Handler_Repository::Common_Info::io_entry_

| This indicates whether this entry is for I/O or for a regular event.

ACE_HANDLE ACE_WFMO_Reactor_Handler_Repository::Common_Info::io_handle_

| The I/O handle related to the <Event_Handler>. This entry is only valid if the <io_entry_> flag is true.

long ACE_WFMO_Reactor_Handler_Repository::Common_Info::network_events_

| This is the set of events that the <Event_Handler> is interested in This entry is only valid if the <io_entry_> flag is true.

The documentation for this class was generated from the following files:

- WFMO_Reactor.h
- WFMO_Reactor.i